polybori::CCacheManBase< ManagerType, CacheType, 0 > Class Template Reference

`#include <CCacheManagement.h>`

Inheritance diagram for polybori::CCacheManBase< ManagerType, CacheType, 0 >:

## Public Types

typedef CCacheManBase < ManagerType, CacheType, 0 > | self
| Set this type. More...
typedef pbori_base< self >::type | base
| Set base type. More...
Extracting inherited types
typedef base::node_type | node_type
typedef base::navigator | navigator
typedef base::manager_type | manager_type

## Public Member Functions

| CCacheManBase (const manager_type &mgr)
| Constructor. More...
Dummy functions
navigator | find (navigator,...) const
node_type | find (node_type,...) const
void | insert (...) const

## Member Typedef Documentation

template<class ManagerType , class CacheType >

typedef pbori_base<self>::type polybori::CCacheManBase< ManagerType, CacheType, 0 >::base

Set base type.

template<class ManagerType , class CacheType >

typedef base::manager_type polybori::CCacheManBase< ManagerType, CacheType, 0 >::manager_type

template<class ManagerType , class CacheType >

typedef base::navigator polybori::CCacheManBase< ManagerType, CacheType, 0 >::navigator

template<class ManagerType , class CacheType >

typedef base::node_type polybori::CCacheManBase< ManagerType, CacheType, 0 >::node_type

template<class ManagerType , class CacheType >

typedef CCacheManBase<ManagerType, CacheType, 0> polybori::CCacheManBase< ManagerType, CacheType, 0 >::self

Set this type.

## Constructor & Destructor Documentation

template<class ManagerType , class CacheType >

polybori::CCacheManBase< ManagerType, CacheType, 0 >::CCacheManBase | ( | const manager_type & | mgr) |  |

inline

Constructor.

## Member Function Documentation

template<class ManagerType , class CacheType >

navigator polybori::CCacheManBase< ManagerType, CacheType, 0 >::find | ( | navigator | ,
|  |  | ...
| ) |  | const

inline

template<class ManagerType , class CacheType >

node_type polybori::CCacheManBase< ManagerType, CacheType, 0 >::find | ( | node_type | ,
|  |  | ...
| ) |  | const

inline

template<class ManagerType , class CacheType >

void polybori::CCacheManBase< ManagerType, CacheType, 0 >::insert | ( |  | ...) |  | const

inline

The documentation for this class was generated from the following file:

- CCacheManagement.h